Retrieves the equipment_family object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
equipment_family| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| name |
Name of the equipment family |
string |
Required Max length: 50 |
| description |
Description of the equipment family |
string |
Max length: 4000 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| _parent_id |
Parent Equipment Family (Parent / Child) when adding/updating equipment_family |
globally unique identifier | |
| _parent_code |
Embedded entity "equipment_family" for parent (Parent / Child) using ERP PK when adding/updating equipment_family |
string | |
| _parent_equipment_family |
Embedded entity "equipment_family" for parent (Parent / Child) when adding/updating equipment_family |
equipment_family | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "7e72b7cb-7a9e-434a-a44a-2f65a5757194",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "c5c1e2bd-290f-4fbb-a5b1-4e12f1060146",
"_parent_code": "sample string 6",
"sales_organization_id": "30b83b67-eef3-4ffd-aadf-8e17cb66964c",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "cdcbe8f1-beba-4ddf-92fc-6cda8350a0e6",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "20539ef2-cfab-4033-a3e9-fb7d8d4e2d4e",
"db_currency_id": "219411de-00fc-43f5-abda-f25b0bc36ded",
"db_language_id": "e265f5f0-1573-4bc0-8980-05c73997c4f6",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T16:49:32.3406634+00:00"
},
"modified_dateutc": "2026-11-12T16:49:32.3406634+00:00"
}